Get job
curl --request GET \
--url https://api.renderjuice.com/api/external/v1/jobs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.renderjuice.com/api/external/v1/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.renderjuice.com/api/external/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "completed",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rootFolderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"normalizedSeconds": 123,
"previewUrl": "<string>",
"failedReason": {
"name": "<string>",
"type": "<string>"
},
"requestedConfig": "<unknown>",
"finalConfig": "<unknown>",
"output": {
"isDeletedForClient": true
},
"isAnalysisSkipped": true,
"analysisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"analysis": "<unknown>",
"sceneFile": "<unknown>"
}
}Jobs
Get job
Retrieve job details.
GET
/
jobs
/
{id}
Get job
curl --request GET \
--url https://api.renderjuice.com/api/external/v1/jobs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.renderjuice.com/api/external/v1/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.renderjuice.com/api/external/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"status": "completed",
"workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rootFolderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"normalizedSeconds": 123,
"previewUrl": "<string>",
"failedReason": {
"name": "<string>",
"type": "<string>"
},
"requestedConfig": "<unknown>",
"finalConfig": "<unknown>",
"output": {
"isDeletedForClient": true
},
"isAnalysisSkipped": true,
"analysisId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"analysis": "<unknown>",
"sceneFile": "<unknown>"
}
}Authorizations
API key authentication. Format: Bearer RJ-XXX.... Get your API key from the Renderjuice dashboard.
Path Parameters
Unique identifier (UUID) of the job Unique identifier of the job
Example:
"123e4567-e89b-12d3-a456-426614174000"
Response
200 - application/json
Success
Show child attributes
Show child attributes
Was this page helpful?
⌘I

